&apt-author.jgunthorpe; &apt-author.team; &apt-email; &apt-product; 29 Février 2004
apt-config
8

# apt-config

Programme pour interroger la configuration de APT

    apt-config
    -hv
    -o=option de configuration
    -c=fichier

    shell
    dump

## Description

`apt-config` est un programme interne utilisé par différentes composantes d'APT ; il offre la possibilité d'une configuration cohérente et permet aux applications conçues sous forme de script une utilisation simple du fichier de configuration principal `/etc/apt/apt.conf`.

À moins que l'option `-h` ou `--help` ne soit donnée, l'une des commandes suivantes doit être présente.

shell

  Le terme shell est utilisé pour accéder aux informations de configuration depuis un script shell. Deux arguments doivent lui être donnés ; le premier est une variable du shell et le second une valeur de configuration à demander. La sortie standard consiste en une liste de commandes d'assignation de shell pour chaque valeur présente. Dans un script shell, cette commande devrait être utilisée comme suit :

      OPTS="-f"
      RES=`apt-config shell OPTS MyApp::Options`
      eval $RES

  La variable d'environnement du shell $OPTS sera définie par la valeur de MyApp::Options ou, par défaut, la valeur -f.

  L'élément de configuration peut être suivi par /[fdbi]. « f » renvoie un nom de fichier, « d » un nom de répertoire, « b » renvoie « true » ou « false » et « i » renvoie un entier. Chacune de ses valeurs est normalisée et vérifiée.

dump

  Affiche seulement le contenu de l'espace de configuration.

## Options

&apt-cmdblurb;

&apt-commonoptions;

## Voir aussi

&apt-conf;

## Diagnostics

`apt-config` retourne zéro après un déroulement normal, et le nombre 100 en cas d'erreur.

&manbugs; &deux-traducteurs;